Package com.io7m.idstore.server.service.configuration.jaxb

# Class MailAuthentication

java.lang.Object
com.io7m.idstore.server.service.configuration.jaxb.MailAuthentication

public class MailAuthentication extends Object

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="Username" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="Password" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `password`
  `protected String`
  `username`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MailAuthentication()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getPassword()`
  Gets the value of the password property.
  `String`
  `getUsername()`
  Gets the value of the username property.
  `void`
  `setPassword(String value)`
  Sets the value of the password property.
  `void`
  `setUsername(String value)`
  Sets the value of the username property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### username

    protected String username

  - ### password

    protected String password

- ## Constructor Details

  - ### MailAuthentication

    public MailAuthentication()

- ## Method Details

  - ### getUsername

    public String getUsername()
    Gets the value of the username property.
    Returns:
      possible object is `String`

  - ### setUsername

    public void setUsername(String value)
    Sets the value of the username property.
    Parameters:
      `value` - allowed object is `String`

  - ### getPassword

    public String getPassword()
    Gets the value of the password property.
    Returns:
      possible object is `String`

  - ### setPassword

    public void setPassword(String value)
    Sets the value of the password property.
    Parameters:
      `value` - allowed object is `String`